Bug 63136 - table cell is set to align=bottom, but cell contents are at top
Summary: table cell is set to align=bottom, but cell contents are at top
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables-Alignment
  Show dependency treegraph
 
Reported: 2013-04-04 21:50 UTC by Steve Kelem
Modified: 2020-10-03 03:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
ODT file with table cell alignment problem (16.05 KB, application/vnd.oasis.opendocument.text)
2013-04-04 21:50 UTC, Steve Kelem
Details
Two frames with tables in the same place (9.54 KB, application/vnd.oasis.opendocument.text)
2015-04-18 16:46 UTC, Gordo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Kelem 2013-04-04 21:50:44 UTC
Created attachment 77448 [details]
ODT file with table cell alignment problem

The top row of the attached table has align=bottom, but the cell contents are at the top of the cell.

If I right-click, select Cell, then "Bottom" is check-marked.
The button on the Table Toolbar that selects "Bottom" is highlighted if I click in any of those cells, and highlights on "Center" for cells with that attribute (middle rows), and highlights on "Top" for cells with that attribute (bottom row).

I can't see any way to get the cell contents at the bottom of those cells.
Comment 1 A (Andy) 2013-04-06 10:01:05 UTC
This issue is buggy with LO 4.0.2.2 (Win7 Home, 64bit).

But I had a different experience.  If I open the attached file, then all the entries in the top row are aligned correctly at the bottom.
If I choose for one entry in the top row the alignment to the TOP, then it is aligned at the top.  But, if I afterwards want to change this alignment back to at the bottom, then it does not work, it will stay at the top.
In addition, it is not possible at all to choose the alignment at the CENTER.
Comment 2 Gordo 2015-04-18 16:46:01 UTC
Created attachment 114884 [details]
Two frames with tables in the same place

1. Open attached document.
2. Place cursor in top left cell of table.
Note:
In the toolbar, the alignment is top.
3. Click on Align Bottom in toolbar.
Result:
Text in cell is still aligned to top.
4. Click on border of frame.
5. Use the left arrow key to move the frame to the left.
Result:
The text in the cell is now aligned to bottom.

The original document has two frames with similar tables occupying the same place.  I am sure quantum mechanics has something to say about this.

Windows Vista 64
Version: 4.4.2.2
Build ID: c4c7d32d0d49397cad38d62472b0bc8acff48dd6
Comment 3 QA Administrators 2016-09-20 09:24:54 UTC Comment hidden (obsolete)
Comment 4 Regina Henschel 2016-12-28 23:16:58 UTC
The bug still exists in Version: 5.4.0.0.alpha0+
Build ID: 690cf2a5ac87d3d05c45a86944e7f6b0adf12cf2
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-15_18:59:20
Locale: de-DE (de_DE); Calc: group

It seems, that alignment depends on the cell width. If you make the surrounding frame wider and then manipulate the column width with of the first column using Alt-Arrow, then if the column becomes to small, the T jumps to the top.
Comment 5 Regina Henschel 2016-12-28 23:24:27 UTC
1,8cm column width is fine, but 1,7cm is too small.
Comment 6 QA Administrators 2017-12-29 03:28:36 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2020-10-03 03:51:56 UTC
Dear Steve Kelem,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug